
#include "stm32f0xx_conf.h"
#include <delay.h>

#include "dbgprintf.h"

/*
 * Delay must not be > 0x80000000L..
 * Usage: if (IsDelayOver(start, delay) > 0) // means delay is over..
 */
int IsDelayOver(uint32_t start, uint32_t delay)
{
   uint32_t cur = syscnt;

   if ((cur - (start + delay)) < 0x80000000L)
      return 1; // delay is over
   else
      return -1; // not yet..
}


void DelayMSec(uint32_t msec)
{
   uint32_t curtick = syscnt;

   while(IsDelayOver(curtick, msec) < 0); // wait ms
}


//******************************************************************************
// us_delay(uint32_t usec)   Delay usec  microseconds
//******************************************************************************
void us_delay(uint32_t usec)
{
   int i;

   for(i=0; i<usec; i++)
   {
      __no_operation();
      __no_operation();
      __no_operation();
   }
}
