#ifndef _DELAY_H
#define _DELAY_H

#define DELAY_TICK_FREQUENCY_US 1000000   /* = 1MHZ -> microseconds delay */
#define DELAY_TICK_FREQUENCY_MS 1000      /* = 1kHZ -> milliseconds delay */

extern __IO uint32_t syscnt;
extern __IO uint32_t TimingDelay; // __IO -- volatile

#define __no_operation()        __asm__ __volatile__ ("mov r0,r0") // NOP

#define BIT(n)    (1L << n)
#define sbit(port, pin) port->BSRR = BIT(pin)
#define cbit(port, pin) port->BRR = BIT(pin)


/*
 *   Declare Functions
 */
void Delay_ms(uint32_t nTime);
void Delay_us(uint32_t nTime);


void DelayMSec(uint32_t msec);
int IsDelayOver(uint32_t start, uint32_t delay);

void us_delay(uint32_t usec);
void CoreTimingDelay(unsigned int tick);

#endif
