
#ifndef _MENU_H
#define _MENU_H


enum
{
   MODE_MENU_IDLE = 0,
   MODE_MENU_SELECT,
   MODE_TIME_SET,
   MODE_DATE_SET
};


enum
{
   KEY_UP = 0x01,
   KEY_DOWN,
   KEY_LEFT,
   KEY_RIGHT,
   KEY_RETURN,
   KEY_SELECT,
   KEY_MENU,
   KEY_BACKLIGHT,

   KEY_NOP = 0xFF
};


// IR remote control codes
#define IR_MANU_1       0xC1  // Creative soundworks remote control's manufacturer code
#define IR_MANU_2       0x44
#define IR_MUTE         0x77
#define IR_POWER        0x87
#define IR_EFFECT       0xB7
#define IR_CMSS         0x8F
#define IR_VOLPLUS      0x47
#define IR_VOLMINUS     0xC7
#define IR_SRCDIGITAL   0x0F
#define IR_SRCANALOG    0x57
#define IR_SRCMIX       0x27



// IR remote control codes
#define IR1_MANU_1      0x00  // Bluetooth/FM/MP3 panel (aliexpress) remote control's manufacturer code
#define IR1_MANU_2      0xFF
#define IR1_POWER       0x45
#define IR1_MODE        0x46
#define IR1_MUTE        0x47
#define IR1_PLAYPAUSE   0x44
#define IR1_SKIPBACK    0x40
#define IR1_SKIPFWD     0x43
#define IR1_EQ          0x07
#define IR1_MINUS       0x15
#define IR1_PLUS        0x09
#define IR1_RTN         0x19



int menu_GetCmdMode(void);
void menu_init(void);
void menu_loop(void);
void menu_keymap(uint8_t ir[4]);

#endif


